お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2022-09-18 20:52:55

makoto2500
メンバ
登録日: 2022-09-18

Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

初めて投稿します。よろしくおねがいします。

Ubuntu Studio22.04にRadeon Software for Linuxをインストールしようとしたところ以下のようになり、インストールが失敗します。

コマンド:amdgpu-install --usecase=graphics
ヒット:1 http://jp.archive.ubuntu.com/ubuntu jammy InRelease
ヒット:2 http://jp.archive.ubuntu.com/ubuntu jammy-updates InRelease                 
ヒット:3 http://jp.archive.ubuntu.com/ubuntu jammy-backports InRelease               
ヒット:4 http://security.ubuntu.com/ubuntu jammy-security InRelease                 
ヒット:5 http://archive.canonical.com/ubuntu jammy InRelease                         
ヒット:6 https://repo.radeon.com/amdgpu/21.50.2/ubuntu focal InRelease
ヒット:7 https://repo.radeon.com/rocm/apt/5.0.2 ubuntu InRelease
パッケージリストを読み込んでいます... 完了
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています... 完了       
状態情報を読み取っています... 完了       
パッケージ linux-modules-extra-5.15.0-47-lowlatency は使用できませんが、別のパッケージから参照されます。
これは、パッケージが欠落しているか、廃止されたか、または別のソース
からのみ利用可能であることを意味します。

パッケージのページ(https://packages.ubuntu.com/jammy-updates/linux-image-5.15.0-46-lowlatency)では、
最下段の方に、
linux-modules-extra-5.15.0-46-lowlatency
    パッケージは利用できません
と記載があります。

これは、Ubuntu Studioでは、Radeon Software for Linuxをインストールできないということなのでしょうか。また、もし別の手段でRadeon Software for Linuxをインストールする方法などありましたらご教授ください。

なお、CPUはRyzen5 2600、グラボはMSI Radeon RX5600XT GAMINGです。なお、デュアルブートしているWindows11では正常に認識しているのでハードウェアのトラブルはないと思います。

以上、よろしくおねがいします。

オフライン

 

#2 2022-09-18 22:06:48

Beats
メンバ
登録日: 2015-03-14

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

出力結果を英語で見たいので、下記のように先頭にLANG=Cをつけて実行した結果を貼り付けてもらえませんか。

コード:

$ LANG=C amdgpu-install --usecase=graphics

オフライン

 

#3 2022-09-19 16:59:45

makoto2500
メンバ
登録日: 2022-09-18

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

Beats様
早速のお返事ありがとうございます。打ち込んだ結果は以下のようになりました。引き続きアドバイスなどよろしくおねがいします。

Hit:1 http://jp.archive.ubuntu.com/ubuntu jammy InRelease
Hit:2 http://jp.archive.ubuntu.com/ubuntu jammy-updates InRelease                   
Hit:3 http://jp.archive.ubuntu.com/ubuntu jammy-backports InRelease                 
Hit:4 http://archive.canonical.com/ubuntu jammy InRelease                           
Hit:5 http://security.ubuntu.com/ubuntu jammy-security InRelease                     
Hit:6 https://repo.radeon.com/amdgpu/21.50.2/ubuntu focal InRelease   
Hit:7 https://repo.radeon.com/rocm/apt/5.0.2 ubuntu InRelease
Reading package lists... Done
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Package linux-modules-extra-5.15.0-47-lowlatency is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'linux-modules-extra-5.15.0-47-lowlatency' has no installation candidate

オフライン

 

#4 2022-09-19 18:19:11

Beats
メンバ
登録日: 2015-03-14

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

依存関係で linux-modules-extra-5.15.0-47-lowlatency が必要とされているんだと思うのですが、下記のコマンドではやっぱりインストールできないのですよね。

コード:

$ sudo apt install linux-modules-extra-5.15.0-47-lowlatency

オフライン

 

#5 2022-09-19 20:44:04

elliptic
メンバ
登録日: 2020-03-05

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

Radeon Software for Linux のセットアップを行ったのはいつ頃ですか?
参考にしたwebページなどはありますか?

#1 makoto2500 による投稿:

ヒット:6 https://repo.radeon.com/amdgpu/21.50.2/ubuntu focal InRelease

Radeon™ Software for Linux® version 21.50.2 for Ubuntu 20.04.4 HWE
Ubuntu Studio 22.04 LTS に適用したように見えます。

公式サポートサイトの
AMD Radeon™ & Radeon PRO™ グラフィックス用の Linux® ドライバー | AMD
https://www.amd.com/ja/support/linux-drivers
のページで得られる 現行のインストーラ
Radeon™ Software for Linux® installer version 22.20 for Ubuntu 22.04 and 22.04.01
(2022年6月28日 リリース)
は試してみましたか?

オフライン

 

#6 2022-09-19 22:53:16

makoto2500
メンバ
登録日: 2022-09-18

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

elliptic による投稿:

Radeon Software for Linux のセットアップを行ったのはいつ頃ですか?
参考にしたwebページなどはありますか?

#1 makoto2500 による投稿:

ヒット:6 https://repo.radeon.com/amdgpu/21.50.2/ubuntu focal InRelease

Radeon™ Software for Linux® version 21.50.2 for Ubuntu 20.04.4 HWE
Ubuntu Studio 22.04 LTS に適用したように見えます。

公式サポートサイトの
AMD Radeon™ & Radeon PRO™ グラフィックス用の Linux® ドライバー | AMD
https://www.amd.com/ja/support/linux-drivers
のページで得られる 現行のインストーラ
Radeon™ Software for Linux® installer version 22.20 for Ubuntu 22.04 and 22.04.01
(2022年6月28日 リリース)
は試してみましたか?

参考にした記事は
https://gihyo.jp/admin/serial/01/ubuntu-recipe/0705 と
https://amdgpu-install.readthedocs.io/en/latest/ です。

最初のインストールは22年6月下旬に行いました。このときはまだ20.04向けのしかなかったのでそれを使いました。
その後、22.04向けが出されたので、installation instructions​​​​​のUninstalling the AMDGPU stackの手順に沿ってアンインストールしてから、22.04をダウンロードして実行したつもりだったのですが、それがうまくいっていないということですね。
改めて、再度最新のインストーラーでやってみます。

オフライン

 

#7 2022-09-19 23:05:11

makoto2500
メンバ
登録日: 2022-09-18

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

上記、AMD製ドライバのバージョンが古かったということで改めて最新バージョンで行いました。

sudo LANG=C amdgpu-install --usecase=graphics
Hit:1 http://jp.archive.ubuntu.com/ubuntu jammy InRelease
Hit:2 http://jp.archive.ubuntu.com/ubuntu jammy-updates InRelease                   
Hit:3 http://jp.archive.ubuntu.com/ubuntu jammy-backports InRelease                 
Hit:4 http://security.ubuntu.com/ubuntu jammy-security InRelease                     
Hit:5 https://repo.radeon.com/amdgpu/22.20/ubuntu jammy InRelease                   
Hit:6 http://archive.canonical.com/ubuntu jammy InRelease
Hit:7 https://repo.radeon.com/rocm/apt/5.2 ubuntu InRelease
Reading package lists... Done
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Package linux-modules-extra-5.15.0-47-lowlatency is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'linux-modules-extra-5.15.0-47-lowlatency' has no installation candidate

やはり、同じエラーでインストールできませんでした

オフライン

 

#8 2022-09-21 12:53:41

makoto2500
メンバ
登録日: 2022-09-18

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

Beats による投稿:

依存関係で linux-modules-extra-5.15.0-47-lowlatency が必要とされているんだと思うのですが、下記のコマンドではやっぱりインストールできないのですよね。

コード:

$ sudo apt install linux-modules-extra-5.15.0-47-lowlatency

このお返事を落としていました、すみません。
実行してみた結果を示します。

LANG=C sudo apt install linux-modules-extra-5.15.0.47-lowlatency

Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
E: Unable to locate package linux-modules-extra-5.15.0.47-lowlatency
E: Couldn't find any package by glob 'linux-modules-extra-5.15.0.47-lowlatency'

やはりうまくいっていません。

オフライン

 

#9 2022-09-21 21:34:35

elliptic
メンバ
登録日: 2020-03-05

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

makoto2500さん、 実験をお願いできますか?
ターミナルで

コード:

amdgpu-install --dryrun --usecase=graphics

を実行して出力を見せて下さい。
amdgpu-installの中で何が行われるかを表示します。

次に

コード:

amdgpu-install --usecase=graphics  --ignore-missing

を実行してみて下さい。
linux-modules-extra-<kernel release>パッケージを無視してくれればよいのですが。

オフライン

 

#10 2022-09-22 00:32:35

makoto2500
メンバ
登録日: 2022-09-18

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

elliptic による投稿:

makoto2500さん、 実験をお願いできますか?
ターミナルで

コード:

amdgpu-install --dryrun --usecase=graphics

を実行して出力を見せて下さい。
amdgpu-installの中で何が行われるかを表示します。

次に

コード:

amdgpu-install --usecase=graphics  --ignore-missing

を実行してみて下さい。
linux-modules-extra-<kernel release>パッケージを無視してくれればよいのですが。

実験の結果です。

最初は
sudo amdgpu-install --dryrun --usecase=graphics

apt-get update
apt-get install amdgpu-lib amdgpu-dkms linux-headers-5.15.0-47-lowlatency linux-modules-extra-5.15.0-47-lowlatency
ln -sf /usr/bin/amdgpu-install /usr/bin/amdgpu-uninstall

次のコードを打ち込んだ結果がこちらです
sudo amdgpu-install --usecase=graphics --ignore-missing

ヒット:1 http://jp.archive.ubuntu.com/ubuntu jammy InRelease
取得:2 http://jp.archive.ubuntu.com/ubuntu jammy-updates InRelease [114 kB]         
取得:3 http://jp.archive.ubuntu.com/ubuntu jammy-backports InRelease [99.8 kB]       
ヒット:4 http://archive.canonical.com/ubuntu jammy InRelease                         
ヒット:5 http://security.ubuntu.com/ubuntu jammy-security InRelease                 
ヒット:6 https://repo.radeon.com/amdgpu/22.20/ubuntu jammy InRelease         
ヒット:7 https://repo.radeon.com/rocm/apt/5.2 ubuntu InRelease
214 kB を 1秒 で取得しました (179 kB/s)
パッケージリストを読み込んでいます... 完了
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています... 完了       
状態情報を読み取っています... 完了       
パッケージ linux-modules-extra-5.15.0-47-lowlatency は使用できませんが、別のパッケージから参照されます。
これは、パッケージが欠落しているか、廃止されたか、または別のソース
からのみ利用可能であることを意味します。

E: パッケージ 'linux-modules-extra-5.15.0-47-lowlatency' にはインストール候補がありません

結果としては、これまでと同じ状況が出力されています。

オフライン

 

#11 2022-09-22 23:43:02

Beats
メンバ
登録日: 2015-03-14

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

カーネルのアップデートが必要な気がします。
基本的なことですが下記のアップデートは試されましたでしょうか?

コード:

sudo apt update && sudo apt upgrade

またuname -aで現在のカーネルのバージョンと上記コマンド実行、再起動後のuname -aの表示を教えていただけると助かります。

バージョンが5.15.0-48になっていたら、インストールもできるような気がします。

オフライン

 

#12 2022-09-23 00:50:09

makoto2500
メンバ
登録日: 2022-09-18

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

Beats による投稿:

カーネルのアップデートが必要な気がします。
基本的なことですが下記のアップデートは試されましたでしょうか?

コード:

sudo apt update && sudo apt upgrade

またuname -aで現在のカーネルのバージョンと上記コマンド実行、再起動後のuname -aの表示を教えていただけると助かります。

バージョンが5.15.0-48になっていたら、インストールもできるような気がします。

updateとupgradeは、ことあるごとにやっていましたが、今回もやってみました。

sudo apt update

ヒット:1 http://jp.archive.ubuntu.com/ubuntu jammy InRelease
取得:2 http://jp.archive.ubuntu.com/ubuntu jammy-updates InRelease [114 kB]         
取得:3 http://jp.archive.ubuntu.com/ubuntu jammy-backports InRelease [99.8 kB]       
取得:4 http://jp.archive.ubuntu.com/ubuntu jammy-updates/main amd64 Packages [597 kB]
取得:5 http://jp.archive.ubuntu.com/ubuntu jammy-updates/main i386 Packages [322 kB]
取得:6 http://jp.archive.ubuntu.com/ubuntu jammy-updates/main Translation-en [140 kB]
取得:7 http://jp.archive.ubuntu.com/ubuntu jammy-updates/main amd64 DEP-11 Metadata [92.8 kB]
取得:8 http://jp.archive.ubuntu.com/ubuntu jammy-updates amd64 Contents (deb) [24.6 MB]
ヒット:9 http://archive.canonical.com/ubuntu jammy InRelease                         
取得:10 http://security.ubuntu.com/ubuntu jammy-security InRelease [110 kB]         
ヒット:11 https://repo.radeon.com/amdgpu/22.20/ubuntu jammy InRelease               
ヒット:12 https://repo.radeon.com/rocm/apt/5.2 ubuntu InRelease                     
取得:13 http://security.ubuntu.com/ubuntu jammy-security/main amd64 Packages [339 kB]
取得:14 http://security.ubuntu.com/ubuntu jammy-security/main i386 Packages [132 kB]
取得:15 http://security.ubuntu.com/ubuntu jammy-security/main Translation-en [78.2 kB]
取得:16 http://security.ubuntu.com/ubuntu jammy-security/main amd64 DEP-11 Metadata [13.1 kB]
取得:17 http://security.ubuntu.com/ubuntu jammy-security amd64 Contents (deb) [18.9 MB]
取得:18 http://security.ubuntu.com/ubuntu jammy-security i386 Contents (deb) [9,554 kB]
取得:19 http://security.ubuntu.com/ubuntu jammy-security/restricted amd64 Packages [298 kB]
取得:20 http://security.ubuntu.com/ubuntu jammy-security/restricted Translation-en [46.3 kB]
取得:21 http://security.ubuntu.com/ubuntu jammy-security/universe amd64 Packages [282 kB]
取得:22 http://security.ubuntu.com/ubuntu jammy-security/universe i386 Packages [209 kB]
取得:23 http://security.ubuntu.com/ubuntu jammy-security/universe Translation-en [61.4 kB]
取得:24 http://security.ubuntu.com/ubuntu jammy-security/universe amd64 DEP-11 Metadata [12.1 kB]
取得:25 http://jp.archive.ubuntu.com/ubuntu jammy-updates i386 Contents (deb) [12.7 MB]
取得:26 http://jp.archive.ubuntu.com/ubuntu jammy-updates/main amd64 c-n-f Metadata [8,632 B]
取得:27 http://jp.archive.ubuntu.com/ubuntu jammy-updates/restricted amd64 Packages [330 kB]
取得:28 http://jp.archive.ubuntu.com/ubuntu jammy-updates/restricted Translation-en [51.3 kB]
取得:29 http://jp.archive.ubuntu.com/ubuntu jammy-updates/universe amd64 Packages [422 kB]
取得:30 http://jp.archive.ubuntu.com/ubuntu jammy-updates/universe i386 Packages [278 kB]
取得:31 http://jp.archive.ubuntu.com/ubuntu jammy-updates/universe Translation-en [106 kB]
取得:32 http://jp.archive.ubuntu.com/ubuntu jammy-updates/universe amd64 DEP-11 Metadata [247 kB]
取得:33 http://jp.archive.ubuntu.com/ubuntu jammy-updates/universe DEP-11 48x48 Icons [156 kB]
取得:34 http://jp.archive.ubuntu.com/ubuntu jammy-updates/universe DEP-11 64x64 Icons [232 kB]
取得:35 http://jp.archive.ubuntu.com/ubuntu jammy-updates/universe DEP-11 128x128 Icons [552 kB]
取得:36 http://jp.archive.ubuntu.com/ubuntu jammy-updates/multiverse amd64 Packages [7,220 B]
取得:37 http://jp.archive.ubuntu.com/ubuntu jammy-updates/multiverse amd64 DEP-11 Metadata [944 B]
取得:38 http://jp.archive.ubuntu.com/ubuntu jammy-backports/universe amd64 DEP-11 Metadata [12.3 kB]
71.2 MB を 11秒 で取得しました (6,436 kB/s)                                         
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています... 完了
状態情報を読み取っています... 完了       
アップグレードできるパッケージが 24 個あります。表示するには 'apt list --upgradable' を実行してください。

sudo apt list --upgradable

一覧表示... 完了
gzip/jammy-updates 1.10-4ubuntu4.1 amd64 [1.10-4ubuntu4 からアップグレード可]
libnss-systemd/jammy-updates 249.11-0ubuntu3.6 amd64 [249.11-0ubuntu3.4 からアップグレード可]
libpam-systemd/jammy-updates 249.11-0ubuntu3.6 amd64 [249.11-0ubuntu3.4 からアップグレード可]
libpcre2-16-0/jammy-updates,jammy-security 10.39-3ubuntu0.1 amd64 [10.39-3build1 からアップグレード可]
libpcre2-8-0/jammy-updates,jammy-security 10.39-3ubuntu0.1 amd64 [10.39-3build1 からアップグレード可]
libpython3-stdlib/jammy-updates 3.10.6-1~22.04 amd64 [3.10.4-0ubuntu2 からアップグレード可]
libpython3.10-minimal/jammy-updates 3.10.6-1~22.04 amd64 [3.10.4-3ubuntu0.1 からアップグレード可]
libpython3.10-stdlib/jammy-updates 3.10.6-1~22.04 amd64 [3.10.4-3ubuntu0.1 からアップグレード可]
libpython3.10/jammy-updates 3.10.6-1~22.04 amd64 [3.10.4-3ubuntu0.1 からアップグレード可]
libspeechd2/jammy-updates 0.11.1-1ubuntu2 amd64 [0.11.1-1ubuntu1 からアップグレード可]
libsystemd0/jammy-updates 249.11-0ubuntu3.6 amd64 [249.11-0ubuntu3.4 からアップグレード可]
libudev1/jammy-updates 249.11-0ubuntu3.6 amd64 [249.11-0ubuntu3.4 からアップグレード可]
python3-distutils/jammy-updates,jammy-updates 3.10.6-1~22.04 all [3.10.4-0ubuntu1 からアップグレード可]
python3-gdbm/jammy-updates 3.10.6-1~22.04 amd64 [3.10.4-0ubuntu1 からアップグレード可]
python3-lib2to3/jammy-updates,jammy-updates 3.10.6-1~22.04 all [3.10.4-0ubuntu1 からアップグレード可]
python3-minimal/jammy-updates 3.10.6-1~22.04 amd64 [3.10.4-0ubuntu2 からアップグレード可]
python3-tk/jammy-updates 3.10.6-1~22.04 amd64 [3.10.4-0ubuntu1 からアップグレード可]
python3.10-minimal/jammy-updates 3.10.6-1~22.04 amd64 [3.10.4-3ubuntu0.1 からアップグレード可]
python3.10/jammy-updates 3.10.6-1~22.04 amd64 [3.10.4-3ubuntu0.1 からアップグレード可]
python3/jammy-updates 3.10.6-1~22.04 amd64 [3.10.4-0ubuntu2 からアップグレード可]
systemd-sysv/jammy-updates 249.11-0ubuntu3.6 amd64 [249.11-0ubuntu3.4 からアップグレード可]
systemd-timesyncd/jammy-updates 249.11-0ubuntu3.6 amd64 [249.11-0ubuntu3.4 からアップグレード可]
systemd/jammy-updates 249.11-0ubuntu3.6 amd64 [249.11-0ubuntu3.4 からアップグレード可]
udev/jammy-updates 249.11-0ubuntu3.6 amd64 [249.11-0ubuntu3.4 からアップグレード可]
[email protected]:~/ダウンロード$ sudo apt upgrade
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています... 完了       
状態情報を読み取っています... 完了       
アップグレードパッケージを検出しています... 完了
以下のパッケージが自動でインストールされましたが、もう必要とされていません:
  linux-headers-5.15.0-46-lowlatency linux-headers-5.15.0-47 linux-headers-5.15.0-47-generic
  linux-image-5.15.0-46-lowlatency linux-lowlatency-headers-5.15.0-46
  linux-modules-5.15.0-46-lowlatency
これを削除するには 'sudo apt autoremove' を利用してください。
以下のパッケージは保留されます:
  gzip libnss-systemd libpam-systemd libpython3-stdlib libpython3.10 libpython3.10-minimal
  libpython3.10-stdlib libspeechd2 libsystemd0 libudev1 python3 python3-distutils python3-gdbm
  python3-lib2to3 python3-minimal python3-tk python3.10 python3.10-minimal systemd systemd-sysv
  systemd-timesyncd udev
以下のパッケージはアップグレードされます:
  libpcre2-16-0 libpcre2-8-0
アップグレード: 2 個、新規インストール: 0 個、削除: 0 個、保留: 22 個。
2 standard security updates
424 kB のアーカイブを取得する必要があります。
この操作後に追加で 4,096 B のディスク容量が消費されます。
続行しますか? [Y/n] y
取得:1 http://jp.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpcre2-8-0 amd64 10.39-3ubuntu0.1 [221 kB]
取得:2 http://jp.archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpcre2-16-0 amd64 10.39-3ubuntu0.1 [203 kB]
424 kB を 0秒 で取得しました (1,428 kB/s)
(データベースを読み込んでいます ... 現在 569008 個のファイルとディレクトリがインストールされています。)
.../libpcre2-8-0_10.39-3ubuntu0.1_amd64.deb を展開する準備をしています ...
libpcre2-8-0:amd64 (10.39-3ubuntu0.1) で (10.39-3build1 に) 上書き展開しています ...
libpcre2-8-0:amd64 (10.39-3ubuntu0.1) を設定しています ...
(データベースを読み込んでいます ... 現在 569008 個のファイルとディレクトリがインストールされています。)
.../libpcre2-16-0_10.39-3ubuntu0.1_amd64.deb を展開する準備をしています ...
libpcre2-16-0:amd64 (10.39-3ubuntu0.1) で (10.39-3build1 に) 上書き展開しています ...
libpcre2-16-0:amd64 (10.39-3ubuntu0.1) を設定しています ...
libc-bin (2.35-0ubuntu3.1) のトリガを処理しています ...

現在のカーネルバージョンを見る前にupdate&upgradeしてしまいましたので、コマンド実行後のuname実行後の表示はこちらです。
uname -a
Linux ryzen5-2600 5.15.0-48-lowlatency #54-Ubuntu SMP PREEMPT Wed Aug 31 12:53:08 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

再起動した後の結果とその後にインストールしてみた状況は別に報告します

オフライン

 

#13 2022-09-23 00:55:33

makoto2500
メンバ
登録日: 2022-09-18

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

再起動後のunameの実行の結果です

uname -a
Linux ryzen5-2600 5.15.0-48-lowlatency #54-Ubuntu SMP PREEMPT Wed Aug 31 12:53:08 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

オフライン

 

#14 2022-09-23 01:00:57

makoto2500
メンバ
登録日: 2022-09-18

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

再起動後、インストールしてみました

sudo amdgpu-install --usecase=graphics

ヒット:1 http://jp.archive.ubuntu.com/ubuntu jammy InRelease
ヒット:2 http://jp.archive.ubuntu.com/ubuntu jammy-updates InRelease                                   
ヒット:3 http://jp.archive.ubuntu.com/ubuntu jammy-backports InRelease                                 
ヒット:4 http://security.ubuntu.com/ubuntu jammy-security InRelease                                     
ヒット:5 http://archive.canonical.com/ubuntu jammy InRelease                                           
ヒット:6 https://repo.radeon.com/amdgpu/22.20/ubuntu jammy InRelease         
ヒット:7 https://repo.radeon.com/rocm/apt/5.2 ubuntu InRelease
パッケージリストを読み込んでいます... 完了
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています... 完了       
状態情報を読み取っています... 完了       
パッケージ linux-modules-extra-5.15.0-48-lowlatency は使用できませんが、別のパッケージから参照されます。
これは、パッケージが欠落しているか、廃止されたか、または別のソース
からのみ利用可能であることを意味します。

E: パッケージ 'linux-modules-extra-5.15.0-48-lowlatency' にはインストール候補がありません

やはり、今までと同じエラーの表示で変化がありませんでした。

検索したり、色々調べてみていますが、linux-modules-extra-5.15.0-48-lowlatency がそもそも発見できません。これが廃止されているから、検索しても見つからないし、インストールされないということなのでしょうか。だとすると、AMDさんに聞くしかないのでしょうか.

オフライン

 

#15 2022-09-23 01:17:15

elliptic
メンバ
登録日: 2020-03-05

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

レポートありがとうございます。 返信が遅くてすみません。

#10 makoto2500 による投稿:

apt-get install amdgpu-lib amdgpu-dkms linux-headers-5.15.0-47-lowlatency linux-modules-extra-5.15.0-47-lowlatency

必要なのは 
amdgpu-lib, amdgpu-dkms, linux-headers-5.15.0-47-lowlatency
の3つのパッケージで
linux-modules-extra-5.15.0-47-lowlatency
は実体がなく、エラーは無視してよいと思います
amdgpu-installコマンドのメッセージに amdgpu-lib, amdgpu-dkms が無いのは、
インストールできないのではなく 、既にインストール済みであると推測します。

コード:

apt list '*amdgpu*' --installed
ls -l /etc/kernel/postinst.d/

を実行してみて下さい。

オフライン

 

#16 2022-09-23 01:36:16

elliptic
メンバ
登録日: 2020-03-05

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

カーネルのアップデートがあったようですが、#15の私の書き込みの中の
5.15.0-47 は 適宜 5.15.0-48 と読み替えて下さい。

オフライン

 

#17 2022-09-23 11:19:18

makoto2500
メンバ
登録日: 2022-09-18

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

elliptic による投稿:

レポートありがとうございます。 返信が遅くてすみません。

#10 makoto2500 による投稿:

apt-get install amdgpu-lib amdgpu-dkms linux-headers-5.15.0-47-lowlatency linux-modules-extra-5.15.0-47-lowlatency

必要なのは 
amdgpu-lib, amdgpu-dkms, linux-headers-5.15.0-47-lowlatency
の3つのパッケージで
linux-modules-extra-5.15.0-47-lowlatency
は実体がなく、エラーは無視してよいと思います
amdgpu-installコマンドのメッセージに amdgpu-lib, amdgpu-dkms が無いのは、
インストールできないのではなく 、既にインストール済みであると推測します。

コード:

apt list '*amdgpu*' --installed
ls -l /etc/kernel/postinst.d/

を実行してみて下さい。

ありがとうございます。2つのコードの実行結果です。
~$ sudo apt list '*amdgpu*' --installed

一覧表示... 完了
amdgpu-install/jammy,jammy,now 22.20.50200-1438747~22.04 all [インストール済み]
libdrm-amdgpu1/jammy,now 2.4.110-1ubuntu1 amd64 [インストール済み、自動]
xserver-xorg-video-amdgpu/jammy-updates,now 22.0.0-1ubuntu0.1 amd64 [インストール済み、自動]

~$ ls -l /etc/kernel/postinst.d/
total 20
-rwxr-xr-x 1 root root 1107 10月  1  2021 dkms
-rwxr-xr-x 1 root root  863  2月  9  2022 initramfs-tools
-rwxr-xr-x 1 root root 1163  1月 15  2022 unattended-upgrades
-rwxr-xr-x 1 root root  882  5月 27  2021 xx-update-initrd-links
-rwxr-xr-x 1 root root  646  4月 16 06:50 zz-update-grub


上のコードの実行結果を見ると、インストール済みになっていますが、インストールに成功しているんでしょうか?
下のコードは、よくわからないのですが、amd関連のディレクトリがなさそう、ということでしょうか?

オフライン

 

#18 2022-10-03 03:25:40

elliptic
メンバ
登録日: 2020-03-05

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

makoto2500さん、まだ見てますでしょうか。

こちらは Ubuntu 22.04 LTSですがlinux-lowlatencyカーネルをインストール
して試したところ 同様に linux-modules-extra-5.15.0-47-lowlatency
でエラーになるのを確認しました。
linux-modules-extra-* は無くても大丈夫だと思うので
amdgpu-install --dryrun --usecase=graphics の出力から これを削って

コード:

sudo apt-get update
sudo apt-get install amdgpu-lib amdgpu-dkms linux-headers-5.15.0-48-lowlatency
sudo ln -sf /usr/bin/amdgpu-install /usr/bin/amdgpu-uninstall

を端末から実行したところ、インストールが先に進みました。
試してみて下さい。
私はGPUの実物がないので インストールされたドライバが動くかどうかは確認できません。


#17 makoto2500 による投稿:

上のコードの実行結果を見ると、インストール済みになっていますが、インストールに成功しているんでしょうか?

いいえ、libdrm-amdgpu1 xserver-xorg-video-amdgpu  は archive.ubuntu.com からの
パッケージで、repo.radeon.com からインストールされるべきパッケージが見当たりません。

上に書いたコマンドラインを実行すると

$ sudo apt-get install amdgpu-lib amdgpu-dkms linux-headers-5.15.0-48-lowlatency
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています... 完了       
状態情報を読み取っています... 完了       
linux-headers-5.15.0-48-lowlatency はすでに最新バージョン (5.15.0-48.54) です。
以下の追加パッケージがインストールされます:
  amdgpu-core amdgpu-dkms-firmware gst-omx-amdgpu libdrm-amdgpu-amdgpu1
  libdrm-amdgpu-common libdrm-amdgpu-radeon1 libdrm2-amdgpu
  libegl1-amdgpu-mesa libegl1-amdgpu-mesa-drivers libgbm1-amdgpu
  libgl1-amdgpu-mesa-dri libgl1-amdgpu-mesa-glx libglapi-amdgpu-mesa
  libllvm14.0.50200-amdgpu libwayland-amdgpu-client0 libwayland-amdgpu-egl1
  libwayland-amdgpu-server0 libxatracker2-amdgpu mesa-amdgpu-omx-drivers
  mesa-amdgpu-va-drivers mesa-amdgpu-vdpau-drivers
  xserver-xorg-amdgpu-video-amdgpu
提案パッケージ:
  libglide3
推奨パッケージ:
  libtxc-dxtn-s2tc0 | libtxc-dxtn0
以下のパッケージが新たにインストールされます:
  amdgpu-core amdgpu-dkms amdgpu-dkms-firmware amdgpu-lib gst-omx-amdgpu
  libdrm-amdgpu-amdgpu1 libdrm-amdgpu-common libdrm-amdgpu-radeon1
  libdrm2-amdgpu libegl1-amdgpu-mesa libegl1-amdgpu-mesa-drivers
  libgbm1-amdgpu libgl1-amdgpu-mesa-dri libgl1-amdgpu-mesa-glx
  libglapi-amdgpu-mesa libllvm14.0.50200-amdgpu libwayland-amdgpu-client0
  libwayland-amdgpu-egl1 libwayland-amdgpu-server0 libxatracker2-amdgpu
  mesa-amdgpu-omx-drivers mesa-amdgpu-va-drivers mesa-amdgpu-vdpau-drivers
  xserver-xorg-amdgpu-video-amdgpu
アップグレード: 0 個、新規インストール: 24 個、削除: 0 個、保留: 0 個。
52.1 MB 中 0 B のアーカイブを取得する必要があります。
この操作後に追加で 531 MB のディスク容量が消費されます。
続行しますか? [Y/n]

このようなパッケージがインストールされるはずです。

オフライン

 

#19 2022-10-03 21:20:01

makoto2500
メンバ
登録日: 2022-09-18

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

ellipticさん、アドバイスありがとうございます。

コード:

sudo apt-get update
sudo apt-get install amdgpu-lib amdgpu-dkms linux-headers-5.15.0-48-lowlatency
sudo ln -sf /usr/bin/amdgpu-install /usr/bin/amdgpu-uninstall

これを実行したところ、ご指摘のとおり、531Mの追加インストールが行われました。
その上で、sudo apt list '*amdgpu*' --installedを実行したところ以下のように出力されました。
amdgpu-core/jammy,jammy,now 22.20.50200-1438747~22.04 all [インストール済み、自動]
amdgpu-dkms-firmware/jammy,jammy,now 1:5.16.9.22.20.50200-1438747~22.04 all [インストール済み、自動]
amdgpu-dkms/jammy,jammy,now 1:5.16.9.22.20.50200-1438747~22.04 all [インストール済み]
amdgpu-install/jammy,jammy,now 22.20.50200-1438747~22.04 all [インストール済み]
amdgpu-lib32/jammy,now 22.20.50200-1438747~22.04 amd64 [インストール済み、自動]
amdgpu-lib/jammy,now 22.20.50200-1438747~22.04 amd64 [インストール済み]
amdgpu-pro-core/jammy,jammy,now 22.20-1438747~22.04 all [インストール済み、自動]
amdgpu-pro-lib32/jammy,now 22.20-1438747~22.04 amd64 [インストール済み]
amdgpu-pro/jammy,now 22.20-1438747~22.04 amd64 [インストール済み]
amdgpu/jammy,now 22.20.50200-1438747~22.04 amd64 [インストール済み、自動]
gst-omx-amdgpu/jammy,now 1:1.0.0.1.50200-1438747~22.04 amd64 [インストール済み、自動]
libdrm-amdgpu-amdgpu1/jammy,now 1:2.4.110.50200-1438747~22.04 amd64 [インストール済み、自動]
libdrm-amdgpu-amdgpu1/jammy,now 1:2.4.110.50200-1438747~22.04 i386 [インストール済み、自動]
libdrm-amdgpu-common/jammy,jammy,now 1.0.0.50200-1438747~22.04 all [インストール済み、自動]
libdrm-amdgpu-radeon1/jammy,now 1:2.4.110.50200-1438747~22.04 amd64 [インストール済み、自動]
libdrm-amdgpu-radeon1/jammy,now 1:2.4.110.50200-1438747~22.04 i386 [インストール済み、自動]
libdrm-amdgpu1/jammy,now 2.4.110-1ubuntu1 amd64 [インストール済み、自動]
libdrm-amdgpu1/jammy,now 2.4.110-1ubuntu1 i386 [インストール済み、自動]
libdrm2-amdgpu/jammy,now 1:2.4.110.50200-1438747~22.04 amd64 [インストール済み、自動]
libdrm2-amdgpu/jammy,now 1:2.4.110.50200-1438747~22.04 i386 [インストール済み、自動]
libegl1-amdgpu-mesa-drivers/jammy,now 1:22.1.0.50200-1438747~22.04 amd64 [インストール済み、自動]
libegl1-amdgpu-mesa-drivers/jammy,now 1:22.1.0.50200-1438747~22.04 i386 [インストール済み、自動]
libegl1-amdgpu-mesa/jammy,now 1:22.1.0.50200-1438747~22.04 amd64 [インストール済み、自動]
libegl1-amdgpu-mesa/jammy,now 1:22.1.0.50200-1438747~22.04 i386 [インストール済み、自動]
libegl1-amdgpu-pro/jammy,now 22.20-1438747~22.04 amd64 [インストール済み、自動]
libegl1-amdgpu-pro/jammy,now 22.20-1438747~22.04 i386 [インストール済み、自動]
libgbm1-amdgpu/jammy,now 1:22.1.0.50200-1438747~22.04 amd64 [インストール済み、自動]
libgbm1-amdgpu/jammy,now 1:22.1.0.50200-1438747~22.04 i386 [インストール済み、自動]
libgl1-amdgpu-mesa-dri/jammy,now 1:22.1.0.50200-1438747~22.04 amd64 [インストール済み、自動]
libgl1-amdgpu-mesa-dri/jammy,now 1:22.1.0.50200-1438747~22.04 i386 [インストール済み、自動]
libgl1-amdgpu-mesa-glx/jammy,now 1:22.1.0.50200-1438747~22.04 amd64 [インストール済み、自動]
libgl1-amdgpu-mesa-glx/jammy,now 1:22.1.0.50200-1438747~22.04 i386 [インストール済み、自動]
libgl1-amdgpu-pro-appprofiles/jammy,jammy,now 22.20-1438747~22.04 all [インストール済み、自動]
libgl1-amdgpu-pro-dri/jammy,now 22.20-1438747~22.04 amd64 [インストール済み、自動]
libgl1-amdgpu-pro-dri/jammy,now 22.20-1438747~22.04 i386 [インストール済み、自動]
libgl1-amdgpu-pro-ext/jammy,now 22.20-1438747~22.04 amd64 [インストール済み、自動]
libgl1-amdgpu-pro-glx/jammy,now 22.20-1438747~22.04 amd64 [インストール済み、自動]
libgl1-amdgpu-pro-glx/jammy,now 22.20-1438747~22.04 i386 [インストール済み、自動]
libglapi-amdgpu-mesa/jammy,now 1:22.1.0.50200-1438747~22.04 amd64 [インストール済み、自動]
libglapi-amdgpu-mesa/jammy,now 1:22.1.0.50200-1438747~22.04 i386 [インストール済み、自動]
libglapi1-amdgpu-pro/jammy,now 22.20-1438747~22.04 amd64 [インストール済み、自動]
libglapi1-amdgpu-pro/jammy,now 22.20-1438747~22.04 i386 [インストール済み、自動]
libgles2-amdgpu-pro/jammy,now 22.20-1438747~22.04 amd64 [インストール済み、自動]
libgles2-amdgpu-pro/jammy,now 22.20-1438747~22.04 i386 [インストール済み、自動]
libllvm14.0.50200-amdgpu/jammy,now 1:14.0.50200-1438747~22.04 amd64 [インストール済み、自動]
libllvm14.0.50200-amdgpu/jammy,now 1:14.0.50200-1438747~22.04 i386 [インストール済み、自動]
libwayland-amdgpu-client0/jammy,now 1.20.0.50200-1438747~22.04 amd64 [インストール済み、自動]
libwayland-amdgpu-client0/jammy,now 1.20.0.50200-1438747~22.04 i386 [インストール済み、自動]
libwayland-amdgpu-egl1/jammy,now 1.20.0.50200-1438747~22.04 amd64 [インストール済み、自動]
libwayland-amdgpu-egl1/jammy,now 1.20.0.50200-1438747~22.04 i386 [インストール済み、自動]
libwayland-amdgpu-server0/jammy,now 1.20.0.50200-1438747~22.04 amd64 [インストール済み、自動]
libwayland-amdgpu-server0/jammy,now 1.20.0.50200-1438747~22.04 i386 [インストール済み、自動]
libxatracker2-amdgpu/jammy,now 1:22.1.0.50200-1438747~22.04 amd64 [インストール済み、自動]
libxatracker2-amdgpu/jammy,now 1:22.1.0.50200-1438747~22.04 i386 [インストール済み、自動]
mesa-amdgpu-omx-drivers/jammy,now 1:22.1.0.50200-1438747~22.04 amd64 [インストール済み、自動]
mesa-amdgpu-va-drivers/jammy,now 1:22.1.0.50200-1438747~22.04 amd64 [インストール済み、自動]
mesa-amdgpu-va-drivers/jammy,now 1:22.1.0.50200-1438747~22.04 i386 [インストール済み、自動]
mesa-amdgpu-vdpau-drivers/jammy,now 1:22.1.0.50200-1438747~22.04 amd64 [インストール済み、自動]
mesa-amdgpu-vdpau-drivers/jammy,now 1:22.1.0.50200-1438747~22.04 i386 [インストール済み、自動]
xserver-xorg-amdgpu-video-amdgpu/jammy,now 1:22.0.0.50200-1438747~22.04 amd64 [インストール済み、自動]
xserver-xorg-video-amdgpu/jammy-updates,now 22.0.0-1ubuntu0.1 amd64 [インストール済み、自動]

これでおそらくインストール完了できたかなと思います。

ご指摘どおりlinux-modules-extra-5.15.0-47-lowlatencyのインストールを回避すれば無事インストールできたようです。
今回の件で、amdgpu-install --dryrun --usecase=graphics(正確には--dryrunですね)でインストールの挙動を知ることができ、問題があるパッケージのインストールの回避の方法を知ることができました。
今後も色々いじってみながらLinuxを楽しんでいきたいと思います。

今回、アドバイスを頂いたellipticさん、Beatsをはじめとしてフォーラムの皆さん、ありがとうございました。

オフライン

 

#20 2022-10-04 02:44:25

elliptic
メンバ
登録日: 2020-03-05

Re: Ubuntu StudioでRadeon Software for Linuxのインストールに失敗します

まずは 1歩前進したようでおめでとうございます。
あとは、リスト表示上だけでなく ドライバが実際に動いて機能/性能を発揮していることが
確認できれば安心です。

オフライン

 

Board footer

Powered by FluxBB